▼ |  | Dr Racket Plugins

1 | Implementing Dr Racket Plugins
2 | Adding Languages to Dr Racket
3 | Creating New Kinds of Dr Racket Frames
4 | Extending the Existing Dr Racket Classes
5 | Expanding the User’s Program Text and Breaking
6 | Editor Modes
7 | Language-Specific Capabilities
8 | Check Syntax
9 | Teaching Languages
10 | drracket: get/ extend
11 | drracket: unit
12 | drracket: language
13 | drracket: language-configuration
14 | drracket: debug
15 | drracket: rep
16 | drracket: frame
17 | drracket: help-desk
18 | drracket: eval
19 | drracket: modes
20 | drracket: module-language-tools
21 | drracket: module-language
22 | Backwards Compatibility
| Index

On this page:

drscheme: debug: profile-definitions-text-mixin
drscheme: debug: profile-tab-mixin
drscheme: debug: profile-unit-frame-mixin
drscheme: debug: test-coverage-interactions-text-mixin
drscheme: debug: test-coverage-definitions-text-mixin
drscheme: debug: test-coverage-tab-mixin
drscheme: unit: tab%
drscheme: unit: frame%
drscheme: unit: definitions-canvas%
drscheme: unit: get-definitions-text%
drscheme: unit: interactions-canvas%
drscheme: rep: drs-bindings-keymap-mixin
drscheme: rep: text%
drscheme: rep: text<%>
drscheme: frame: mixin
drscheme: frame: basics-mixin
drscheme: language: language<%>
drscheme: language: module-based-language<%>
drscheme: language: simple-module-based-language<%>
drscheme: language: simple-module-based-language%
drscheme: language: simple-module-based-language->module-based-language-mixin
drscheme: language: module-based-language->language-mixin
drscheme: tracing: tab-mixin
drscheme: tracing: frame-mixin
drscheme: module-language: module-language<%>
drscheme: module-language-tools: frame-mixin
drscheme: module-language-tools: tab-mixin
drscheme: module-language-tools: definitions-text-mixin
drscheme: frame: basics<%>
drscheme: frame: <%>
drscheme: unit: frame<%>
drscheme: unit: definitions-text<%>
drscheme: unit: tab<%>
drscheme: rep: context<%>
drscheme: module-language-tools: definitions-text<%>
drscheme: module-language-tools: tab<%>
drscheme: module-language-tools: frame<%>
drscheme: debug: error-display-handler/ stacktrace
drscheme: debug: make-debug-error-display-handler
drscheme: debug: hide-backtrace-window
drscheme: debug: add-prefs-panel
drscheme: debug: open-and-highlight-in-file
drscheme: debug: show-backtrace-window/ edition-pairs
drscheme: debug: show-backtrace-window/ edition-pairs/ two
drscheme: debug: show-backtrace-window
drscheme: debug: srcloc->edition/ pair
drscheme: eval: set-basic-parameters
drscheme: eval: get-snip-classes
drscheme: eval: expand-program
drscheme: eval: traverse-program/ multiple
drscheme: eval: expand-program/ multiple
drscheme: eval: build-user-eventspace/ custodian
drscheme: get/ extend: extend-unit-frame
drscheme: get/ extend: get-unit-frame
drscheme: get/ extend: extend-tab
drscheme: get/ extend: get-tab
drscheme: get/ extend: extend-definitions-text
drscheme: get/ extend: get-definitions-text
drscheme: get/ extend: extend-interactions-text
drscheme: get/ extend: get-interactions-text
drscheme: get/ extend: extend-definitions-canvas
drscheme: get/ extend: get-definitions-canvas
drscheme: get/ extend: extend-interactions-canvas
drscheme: get/ extend: get-interactions-canvas
drscheme: get/ extend: disallow-re-extension!
drscheme: get/ extend: allow-re-extension!
drscheme: help-desk: help-desk
drscheme: language-configuration: get-languages
drscheme: language-configuration: add-language
drscheme: language-configuration: get-settings-preferences-symbol
drscheme: language-configuration: language-settings
drscheme: language-configuration: language-settings-settings
drscheme: language-configuration: language-settings-language
drscheme: language-configuration: language-settings?
drscheme: language-configuration: language-dialog
drscheme: language-configuration: fill-language-dialog
drscheme: language: register-capability
drscheme: language: capability-registered?
drscheme: language: get-capability-default
drscheme: language: get-capability-contract
drscheme: language: add-snip-value
drscheme: language: extend-language-interface
drscheme: language: get-default-mixin
drscheme: language: get-language-extensions
drscheme: language: put-executable
drscheme: language: create-executable-gui
drscheme: language: create-module-based-stand-alone-executable
drscheme: language: create-module-based-distribution
drscheme: language: create-distribution-for-executable
drscheme: language: create-module-based-launcher
drscheme: language: simple-module-based-language-convert-value
drscheme: language: setup-printing-parameters
drscheme: language: make-setup-printing-parameters
drscheme: language: text/ pos-text
drscheme: language: text/ pos-start
drscheme: language: text/ pos-end
drscheme: language: text/ pos?
drscheme: language: text/ pos
drscheme: language: make-text/ pos
drscheme: language: simple-settings-case-sensitive
drscheme: language: simple-settings-printing-style
drscheme: language: simple-settings-fraction-style
drscheme: language: simple-settings-show-sharing
drscheme: language: simple-settings-insert-newlines
drscheme: language: simple-settings-annotations
drscheme: language: simple-settings?
drscheme: language: simple-settings
drscheme: language: make-simple-settings
drscheme: language: simple-settings->vector
drscheme: modes: add-mode
drscheme: modes: mode?
drscheme: modes: get-modes
drscheme: modes: mode-name
drscheme: modes: mode-surrogate
drscheme: modes: mode-repl-submit
drscheme: modes: mode-matches-language
drscheme: module-language-tools: add-opt-out-toolbar-button
drscheme: module-language-tools: add-online-expansion-handler
drscheme: module-language-tools: register-online-expansion-pref
drscheme: module-language: add-module-language
drscheme: module-language: module-language-put-file-mixin
drscheme: rep: get-welcome-delta
drscheme: rep: get-dark-green-delta
drscheme: rep: get-drs-bindings-keymap
drscheme: rep: current-rep
drscheme: rep: current-value-port
drscheme: rep: after-expression
drscheme: unit: get-program-editor-mixin
drscheme: unit: add-to-program-editor-mixin
drscheme: unit: open-drscheme-window
drscheme: unit: add-search-help-desk-menu-item

top ← prev up next →

### 22`` Backwards Compatibility

This section lists the bindings that begin with drscheme: provided by the tools library; they are here for backwards compatibility and to provide links to the drracket: versions of the names.

> > value

> > drscheme:debug:profile-definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-definitions-text-mixin instead.

> > value

> > drscheme:debug:profile-tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-tab-mixin instead.

> > value

> > drscheme:debug:profile-unit-frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:profile-unit-frame-mixin instead.

> > value

> > drscheme:debug:test-coverage-interactions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-interactions-text-mixin instead.

> > value

> > drscheme:debug:test-coverage-definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-definitions-text-mixin instead.

> > value

> > drscheme:debug:test-coverage-tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:debug:test-coverage-tab-mixin instead.

> > value

> > drscheme:unit:tab% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:tab% instead.

> > value

> > drscheme:unit:frame% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:frame% instead.

> > value

> > drscheme:unit:definitions-canvas% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:definitions-canvas% instead.

> > value

> > drscheme:unit:get-definitions-text% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:get-definitions-text% instead.

> > value

> > drscheme:unit:interactions-canvas% : any/c

This is provided for backwards compatibility; new code should use drracket:unit:interactions-canvas% instead.

> > value

> > drscheme:rep:drs-bindings-keymap-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:rep:drs-bindings-keymap-mixin instead.

> > value

> > drscheme:rep:text% : any/c

This is provided for backwards compatibility; new code should use drracket:rep:text% instead.

> > value

> > drscheme:rep:text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:rep:text<%> instead.

> > value

> > drscheme:frame:mixin : any/c

This is provided for backwards compatibility; new code should use drracket:frame:mixin instead.

> > value

> > drscheme:frame:basics-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:frame:basics-mixin instead.

> > value

> > drscheme:language:language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:language<%> instead.

> > value

> > drscheme:language:module-based-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:module-based-language<%> instead.

> > value

> > drscheme:language:simple-module-based-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language<%> instead.

> > value

> > drscheme:language:simple-module-based-language% : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language% instead.

> > value

> > drscheme:language:simple-module-based-language->module-based-language-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language->module-based-language-mixin instead.

> > value

> > drscheme:language:module-based-language->language-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:language:module-based-language->language-mixin instead.

> > value

> > drscheme:tracing:tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:tracing:tab-mixin instead.

> > value

> > drscheme:tracing:frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:tracing:frame-mixin instead.

> > value

> > drscheme:module-language:module-language<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language:module-language<%> instead.

> > value

> > drscheme:module-language-tools:frame-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:frame-mixin instead.

> > value

> > drscheme:module-language-tools:tab-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:tab-mixin instead.

> > value

> > drscheme:module-language-tools:definitions-text-mixin : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:definitions-text-mixin instead.

> > value

> > drscheme:frame:basics<%> : any/c

This is provided for backwards compatibility; new code should use drracket:frame:basics<%> instead.

> > value

> > drscheme:frame:<%> : any/c

This is provided for backwards compatibility; new code should use drracket:frame:<%> instead.

> > value

> > drscheme:unit:frame<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:frame<%> instead.

> > value

> > drscheme:unit:definitions-text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:definitions-text<%> instead.

> > value

> > drscheme:unit:tab<%> : any/c

This is provided for backwards compatibility; new code should use drracket:unit:tab<%> instead.

> > value

> > drscheme:rep:context<%> : any/c

This is provided for backwards compatibility; new code should use drracket:rep:context<%> instead.

> > value

> > drscheme:module-language-tools:definitions-text<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:definitions-text<%> instead.

> > value

> > drscheme:module-language-tools:tab<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:tab<%> instead.

> > value

> > drscheme:module-language-tools:frame<%> : any/c

This is provided for backwards compatibility; new code should use drracket:module-language-tools:frame<%> instead.

> > value

> > drscheme:debug:error-display-handler/stacktrace

> > :

> > (->* (string? any/c)
> > ((or/c false/c (listof srcloc?))
> > #:definitions-text (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> > #:interactions-text (or/c #f (is-a?/c drracket:rep:text<%>)))
> > any/c)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:error-display-handler/stacktrace instead.

> > value

> > drscheme:debug:make-debug-error-display-handler

> > :

> > (-> (-> string? (or/c any/c exn?) any)
> > (-> string? (or/c any/c exn?) any))

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:make-debug-error-display-handler instead.

> > value

> > drscheme:debug:hide-backtrace-window : (-> void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:hide-backtrace-window instead.

> > value

> > drscheme:debug:add-prefs-panel : (-> void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:add-prefs-panel instead.

> > value

> > drscheme:debug:open-and-highlight-in-file

> > :

> > (->* ((or/c srcloc? (listof srcloc?)))
> > ((or/c #f (cons/c (λ (x) (and (weak-box? x)
> > (let ([v (weak-box-value x)])
> > (or (not v)
> > (is-a?/c v editor<%>)))))
> > number?)))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:open-and-highlight-in-file instead.

> > value

> > drscheme:debug:show-backtrace-window/edition-pairs

> > :

> > (-> string?
> > (listof srcloc?)
> > (listof
> > (or/c
> > #f
> > (cons/c (λ (x)
> > (and (weak-box? x)
> > (let ([v (weak-box-value x)])
> > (or (not v)
> > (is-a?/c v editor<%>)))))
> > number?)))
> > (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> > (or/c #f (is-a?/c drracket:rep:text<%>))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window/edition-pairs instead.

> > value

> > drscheme:debug:show-backtrace-window/edition-pairs/two

> > :

> > (-> string?
> > (listof srcloc?)
> > (listof
> > (or/c
> > #f
> > (cons/c (λ (x)
> > (and (weak-box? x)
> > (let ([v (weak-box-value x)])
> > (or (not v)
> > (is-a?/c v editor<%>)))))
> > number?)))
> > (listof srcloc?)
> > (listof
> > (or/c
> > #f
> > (cons/c (λ (x)
> > (and (weak-box? x)
> > (let ([v (weak-box-value x)])
> > (or (not v)
> > (is-a?/c v editor<%>)))))
> > number?)))
> > (or/c #f (is-a?/c drracket:unit:definitions-text<%>))
> > (or/c #f (is-a?/c drracket:rep:text<%>))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window/edition-pairs/two instead.

> > value

> > drscheme:debug:show-backtrace-window

> > :

> > (->* (string?
> > (or/c exn?
> > (listof srcloc?)
> > (non-empty-listof (cons/c string? (listof srcloc?)))))
> > ((or/c #f (is-a?/c drracket:rep:text<%>))
> > (or/c #f (is-a?/c drracket:unit:definitions-text<%>)))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:show-backtrace-window instead.

> > value

> > drscheme:debug:srcloc->edition/pair

> > :

> > (->* (srcloc?
> > (or/c #f (is-a?/c drracket:rep:text<%>))
> > (or/c #f (is-a?/c drracket:unit:definitions-text<%>)))
> > ((or/c #f (and/c hash? hash-equal?)))
> > (or/c #f (cons/c (let ([weak-box-containing-an-editor?
> > (λ (x) (and (weak-box? x)
> > (let ([v (weak-box-value x)])
> > (or (not v)
> > (is-a?/c v editor<%>)))))])
> > weak-box-containing-an-editor?)
> > number?)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:debug:srcloc->edition/pair instead.

> > value

> > drscheme:eval:set-basic-parameters

> > :

> > (->* ((listof (is-a?/c snip-class%)))
> > (#:gui-modules? boolean?)
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:set-basic-parameters instead.

> > value

> > drscheme:eval:get-snip-classes : (-> (listof (is-a?/c snip-class%)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:get-snip-classes instead.

> > value

> > drscheme:eval:expand-program

> > :

> > (->* ((or/c port? drracket:language:text/pos?)
> > drracket:language-configuration:language-settings?
> > boolean?
> > (-> void?)
> > (-> void?)
> > (-> (or/c eof-object? syntax? (cons/c string? any/c))
> > (-> any)
> > any))
> > (#:gui-modules? boolean?)
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:expand-program instead.

> > value

> > drscheme:eval:traverse-program/multiple

> > :

> > (->* (drracket:language-configuration:language-settings?
> > (-> void?)
> > (-> void?))
> > (#:gui-modules? boolean?)
> > (-> (or/c port? drracket:language:text/pos?)
> > (-> (or/c eof-object? syntax? (cons/c string? any/c))
> > (-> any)
> > any)
> > boolean?
> > void?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:traverse-program/multiple instead.

> > value

> > drscheme:eval:expand-program/multiple

> > :

> > (->* (drracket:language-configuration:language-settings?
> > boolean?
> > (-> void?)
> > (-> void?))
> > (#:gui-modules? boolean?)
> > (-> (or/c port? drracket:language:text/pos?)
> > (-> (or/c eof-object? syntax? (cons/c string? any/c))
> > (-> any)
> > any)
> > boolean?
> > void?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:expand-program/multiple instead.

> > value

> > drscheme:eval:build-user-eventspace/custodian

> > :

> > (->* (drracket:language-configuration:language-settings?
> > (-> void?)
> > (-> void?))
> > (#:gui-modules? boolean?)
> > (values eventspace? custodian?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:eval:build-user-eventspace/custodian instead.

> > value

> > drscheme:get/extend:extend-unit-frame

> > :

> > (->i ([mixin (make-mixin-contract drracket:unit:frame%)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-unit-frame instead.

> > value

> > drscheme:get/extend:get-unit-frame : (-> (subclass?/c drracket:unit:frame%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-unit-frame instead.

> > value

> > drscheme:get/extend:extend-tab

> > :

> > (->i ([mixin (make-mixin-contract drracket:unit:tab<%>)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-tab instead.

> > value

> > drscheme:get/extend:get-tab : (-> (implementation?/c drracket:unit:tab<%>))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-tab instead.

> > value

> > drscheme:get/extend:extend-definitions-text

> > :

> > (->i ([mixin (make-mixin-contract drracket:unit:definitions-text<%>)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-definitions-text instead.

> > value

> > drscheme:get/extend:get-definitions-text : (-> (implementation?/c drracket:unit:definitions-text<%>))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-definitions-text instead.

> > value

> > drscheme:get/extend:extend-interactions-text

> > :

> > (->i ([mixin (make-mixin-contract drracket:rep:text<%>)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-interactions-text instead.

> > value

> > drscheme:get/extend:get-interactions-text : (-> (implementation?/c drracket:rep:text<%>))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-interactions-text instead.

> > value

> > drscheme:get/extend:extend-definitions-canvas

> > :

> > (->i ([mixin (make-mixin-contract drracket:unit:definitions-canvas%)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-definitions-canvas instead.

> > value

> > drscheme:get/extend:get-definitions-canvas : (-> (subclass?/c drracket:unit:definitions-canvas%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-definitions-canvas instead.

> > value

> > drscheme:get/extend:extend-interactions-canvas

> > :

> > (->i ([mixin (make-mixin-contract drracket:unit:interactions-canvas%)])
> > ([before boolean?]
> > #:name-for-changes [name-for-changes (or/c #f symbol?)])
> > [result void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:extend-interactions-canvas instead.

> > value

> > drscheme:get/extend:get-interactions-canvas : (-> (subclass?/c drracket:unit:interactions-canvas%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:get-interactions-canvas instead.

> > value

> > drscheme:get/extend:disallow-re-extension! : (-> void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:disallow-re-extension! instead.

> > value

> > drscheme:get/extend:allow-re-extension! : (-> void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:get/extend:allow-re-extension! instead.

> > value

> > drscheme:help-desk:help-desk

> > :

> > (->* ()
> > ((or/c #f string?)
> > (or/c #f string? (list/c string? string?)))
> > any)

#<undefined>This is provided for backwards compatibility; new code should use drracket:help-desk:help-desk instead.

> > value

> > drscheme:language-configuration:get-languages : (-> (listof (is-a?/c drracket:language:language<%>)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:get-languages instead.

> > value

> > drscheme:language-configuration:add-language

> > :

> > (->* ((and/c (is-a?/c drracket:language:language<%>)
> > drracket:language:object/c))
> > (#:allow-executable-creation? boolean?)
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:add-language instead.

> > value

> > drscheme:language-configuration:get-settings-preferences-symbol : (-> symbol?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:get-settings-preferences-symbol instead.

> > value

> > drscheme:language-configuration:language-settings

> > :

> > ((or/c (is-a?/c drracket:language:language<%>)
> > drracket:language:object/c)
> > any/c
> > . -> .
> > drracket:language-configuration:language-settings?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:language-settings instead.

> > value

> > drscheme:language-configuration:language-settings-settings

> > :

> > (-> drracket:language-configuration:language-settings?
> > any/c)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:language-settings-settings instead.

> > value

> > drscheme:language-configuration:language-settings-language

> > :

> > (drracket:language-configuration:language-settings?
> > . -> .
> > (or/c (is-a?/c drracket:language:language<%>)
> > drracket:language:object/c))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:language-settings-language instead.

> > value

> > drscheme:language-configuration:language-settings? : (any/c . -> . boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:language-settings? instead.

> > value

> > drscheme:language-configuration:language-dialog

> > :

> > (->* (boolean? drracket:language-configuration:language-settings?)
> > ((or/c false/c (is-a?/c top-level-window<%>)))
> > (or/c false/c drracket:language-configuration:language-settings?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:language-dialog instead.

> > value

> > drscheme:language-configuration:fill-language-dialog

> > :

> > (->*
> > ((is-a?/c vertical-panel%)
> > (is-a?/c area-container<%>)
> > drracket:language-configuration:language-settings?)
> > ((or/c false/c (is-a?/c top-level-window<%>))
> > (-> symbol? void?))
> > (values (-> (is-a?/c drracket:language:language<%>))
> > (-> any/c)
> > (-> any/c (is-a?/c mouse-event%) any)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language-configuration:fill-language-dialog instead.

> > value

> > drscheme:language:register-capability

> > :

> > (->i ([s symbol?]
> > [the-contract contract?]
> > [default (the-contract) the-contract])
> > ()
> > [res void?])

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:register-capability instead.

> > value

> > drscheme:language:capability-registered? : (-> symbol? boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:capability-registered? instead.

> > value

> > drscheme:language:get-capability-default

> > :

> > (->i ([s (and/c symbol? drracket:language:capability-registered?)])
> > ()
> > [res (s) (drracket:language:get-capability-contract s)])

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:get-capability-default instead.

> > value

> > drscheme:language:get-capability-contract

> > :

> > (-> (and/c symbol? drracket:language:capability-registered?)
> > contract?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:get-capability-contract instead.

> > value

> > drscheme:language:add-snip-value

> > :

> > (->* ((-> any/c boolean?)
> > (-> any/c (is-a?/c snip%)))
> > ((-> any/c))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:add-snip-value instead.

> > value

> > drscheme:language:extend-language-interface

> > :

> > (-> interface?
> > (make-mixin-contract drracket:language:language<%>)
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:extend-language-interface instead.

> > value

> > drscheme:language:get-default-mixin : (-> (make-mixin-contract drracket:language:language<%>))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:get-default-mixin instead.

> > value

> > drscheme:language:get-language-extensions : (-> (listof interface?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:get-language-extensions instead.

> > value

> > drscheme:language:put-executable

> > :

> > ((is-a?/c top-level-window<%>)
> > path?
> > (or/c boolean? (symbols 'launcher 'standalone 'distribution))
> > boolean?
> > string?
> > . -> . (or/c false/c path?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:put-executable instead.

> > value

> > drscheme:language:create-executable-gui

> > :

> > ((or/c false/c (is-a?/c top-level-window<%>))
> > (or/c false/c string?)
> > (or/c (λ (x) (eq? x #t)) (symbols 'launcher 'standalone 'distribution))
> > (or/c (λ (x) (eq? x #t)) (symbols 'mzscheme 'mred))
> > . -> .
> > (or/c false/c
> > (list/c (symbols 'no-show 'launcher 'stand-alone 'distribution)
> > (symbols 'no-show 'mred 'mzscheme)
> > string?)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:create-executable-gui instead.

> > value

> > drscheme:language:create-module-based-stand-alone-executable

> > :

> > ((or/c path? string?)
> > (or/c path? string?) any/c any/c any/c boolean? boolean?
> > . -> .
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:create-module-based-stand-alone-executable instead.

> > value

> > drscheme:language:create-module-based-distribution

> > :

> > ((or/c path? string?)
> > (or/c path? string?) any/c any/c any/c boolean? boolean?
> > . -> .
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:create-module-based-distribution instead.

> > value

> > drscheme:language:create-distribution-for-executable

> > :

> > ((or/c path? string?)
> > boolean?
> > (-> path? void?)
> > . -> .
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:create-distribution-for-executable instead.

> > value

> > drscheme:language:create-module-based-launcher

> > :

> > ((or/c path? string?) (or/c path? string?) any/c any/c any/c boolean? boolean?
> > . -> .
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:create-module-based-launcher instead.

> > value

> > drscheme:language:simple-module-based-language-convert-value : (-> any/c drracket:language:simple-settings? any)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-module-based-language-convert-value instead.

> > value

> > drscheme:language:setup-printing-parameters : (-> (-> any) drracket:language:simple-settings? (or/c number? 'infinity) any)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:setup-printing-parameters instead.

> > value

> > drscheme:language:make-setup-printing-parameters : (-> (-> (-> any) drracket:language:simple-settings? (or/c number? 'infinity) any))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:make-setup-printing-parameters instead.

> > value

> > drscheme:language:text/pos-text : (drracket:language:text/pos? . -> . (is-a?/c text%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:text/pos-text instead.

> > value

> > drscheme:language:text/pos-start : (drracket:language:text/pos? . -> . number?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:text/pos-start instead.

> > value

> > drscheme:language:text/pos-end : (drracket:language:text/pos? . -> . number?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:text/pos-end instead.

> > value

> > drscheme:language:text/pos? : (any/c . -> . boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:text/pos? instead.

> > value

> > drscheme:language:text/pos

> > :

> > ((is-a?/c text%) number? number?
> > . -> .
> > drracket:language:text/pos?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:text/pos instead.

> > value

> > drscheme:language:make-text/pos

> > :

> > ((is-a?/c text%) number? number?
> > . -> .
> > drracket:language:text/pos?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:make-text/pos instead.

> > value

> > drscheme:language:simple-settings-case-sensitive : (drracket:language:simple-settings? . -> . boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-case-sensitive instead.

> > value

> > drscheme:language:simple-settings-printing-style

> > :

> > (drracket:language:simple-settings?
> > . -> .
> > (symbols 'constructor 'quasiquote 'write 'trad-write 'print))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-printing-style instead.

> > value

> > drscheme:language:simple-settings-fraction-style

> > :

> > (drracket:language:simple-settings?
> > . -> .
> > (symbols 'mixed-fraction
> > 'mixed-fraction-e
> > 'repeating-decimal
> > 'repeating-decimal-e))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-fraction-style instead.

> > value

> > drscheme:language:simple-settings-show-sharing

> > :

> > (drracket:language:simple-settings?
> > . -> .
> > boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-show-sharing instead.

> > value

> > drscheme:language:simple-settings-insert-newlines

> > :

> > (drracket:language:simple-settings?
> > . -> .
> > boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-insert-newlines instead.

> > value

> > drscheme:language:simple-settings-annotations

> > :

> > (drracket:language:simple-settings?
> > . -> .
> > (symbols 'none 'debug 'debug/profile 'test-coverage))

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings-annotations instead.

> > value

> > drscheme:language:simple-settings? : (any/c . -> . boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings? instead.

> > value

> > drscheme:language:simple-settings

> > :

> > (-> boolean?
> > (symbols 'constructor 'quasiquote 'write 'trad-write 'print)
> > (symbols 'mixed-fraction 'mixed-fraction-e 'repeating-decimal 'repeating-decimal-e)
> > boolean?
> > boolean?
> > (symbols 'none 'debug 'debug/profile 'test-coverage)
> > drracket:language:simple-settings?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings instead.

> > value

> > drscheme:language:make-simple-settings

> > :

> > (-> boolean?
> > (symbols 'constructor 'quasiquote 'write 'trad-write 'print)
> > (symbols 'mixed-fraction 'mixed-fraction-e 'repeating-decimal 'repeating-decimal-e)
> > boolean?
> > boolean?
> > (symbols 'none 'debug 'debug/profile 'test-coverage)
> > drracket:language:simple-settings?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:make-simple-settings instead.

> > value

> > drscheme:language:simple-settings->vector : (drracket:language:simple-settings? . -> . vector?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:language:simple-settings->vector instead.

> > value

> > drscheme:modes:add-mode

> > :

> > (string?
> > (or/c false/c (is-a?/c mode:surrogate-text<%>))
> > ((is-a?/c drracket:rep:text%) number? . -> . boolean?)
> > ((or/c false/c (listof string?)) . -> . boolean?)
> > . -> .
> > drracket:modes:mode?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:add-mode instead.

> > value

> > drscheme:modes:mode? : (any/c . -> . boolean?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:mode? instead.

> > value

> > drscheme:modes:get-modes : (-> (listof drracket:modes:mode?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:get-modes instead.

> > value

> > drscheme:modes:mode-name : (drracket:modes:mode? . -> . string?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:mode-name instead.

> > value

> > drscheme:modes:mode-surrogate : (drracket:modes:mode? . -> . (or/c false/c (is-a?/c mode:surrogate-text<%>)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:mode-surrogate instead.

> > value

> > drscheme:modes:mode-repl-submit : (drracket:modes:mode? . -> . any)

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:mode-repl-submit instead.

> > value

> > drscheme:modes:mode-matches-language : (drracket:modes:mode? . -> . ((or/c false/c (listof string?)) . -> . boolean?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:modes:mode-matches-language instead.

> > value

> > drscheme:module-language-tools:add-opt-out-toolbar-button

> > :

> > (->* ((-> (is-a?/c top-level-window<%>)
> > (is-a?/c area-container<%>)
> > (is-a?/c switchable-button%))
> > symbol?)
> > (#:number (or/c real? #f))
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:module-language-tools:add-opt-out-toolbar-button instead.

> > value

> > drscheme:module-language-tools:add-online-expansion-handler

> > :

> > (-> path-string? symbol? (-> (is-a?/c drracket:unit:definitions-text<%>)
> > any/c
> > any)
> > void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:module-language-tools:add-online-expansion-handler instead.

> > value

> > drscheme:module-language-tools:register-online-expansion-pref : (-> (-> (is-a?/c vertical-panel%) void?) void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:module-language-tools:register-online-expansion-pref instead.

> > value

> > drscheme:module-language:add-module-language : (-> any)

#<undefined>This is provided for backwards compatibility; new code should use drracket:module-language:add-module-language instead.

> > value

> > drscheme:module-language:module-language-put-file-mixin : (-> (implementation?/c text:basic<%>) (implementation?/c text:basic<%>))

#<undefined>This is provided for backwards compatibility; new code should use drracket:module-language:module-language-put-file-mixin instead.

> > value

> > drscheme:rep:get-welcome-delta : (-> (is-a?/c style-delta%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:get-welcome-delta instead.

> > value

> > drscheme:rep:get-dark-green-delta : (-> (is-a?/c style-delta%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:get-dark-green-delta instead.

> > value

> > drscheme:rep:get-drs-bindings-keymap : (-> (is-a?/c keymap%))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:get-drs-bindings-keymap instead.

> > value

> > drscheme:rep:current-rep : (-> (or/c false/c (is-a?/c drracket:rep:text%)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:current-rep instead.

> > value

> > drscheme:rep:current-value-port : (-> (or/c false/c port?))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:current-value-port instead.

> > value

> > drscheme:rep:after-expression

> > :

> > (parameter/c
> > (or/c #f (-> any)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:rep:after-expression instead.

> > value

> > drscheme:unit:get-program-editor-mixin : (-> ((subclass?/c text%) . -> . (subclass?/c text%)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:unit:get-program-editor-mixin instead.

> > value

> > drscheme:unit:add-to-program-editor-mixin : (((subclass?/c text%) . -> . (subclass?/c text%)) . -> . void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:unit:add-to-program-editor-mixin instead.

> > value

> > drscheme:unit:open-drscheme-window

> > :

> > (case->
> > (-> (is-a?/c drracket:unit:frame%))
> > ((or/c string? false/c) . -> . (is-a?/c drracket:unit:frame%)))

#<undefined>This is provided for backwards compatibility; new code should use drracket:unit:open-drscheme-window instead.

> > value

> > drscheme:unit:add-search-help-desk-menu-item : (->* ((is-a?/c text%) (is-a?/c menu-item-container<%>) exact-nonnegative-integer?) ((-> any)) void?)

#<undefined>This is provided for backwards compatibility; new code should use drracket:unit:add-search-help-desk-menu-item instead.
top ← prev up next →